FEM ConstraintSelfWeight/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
{{docnav|[[FEM_ConstraintPressure|Constraint pressure]]|[[FEM_ConstraintBearing|Constraint bearing]]|[[FEM_Module|FEM_Module]]}}
{{Docnav|[[FEM_ConstraintPressure|Constraint pressure]]|[[FEM_ConstraintBearing|Constraint bearing]]|[[FEM_Module|FEM]]|IconL=FEM_ConstraintPressure.png|IconC=Workbench_FEM.svg|IconR=FEM_ConstraintBearing.png}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 54: Line 54:
* not implemented in Z88 solver (March 2017)
* not implemented in Z88 solver (March 2017)


{{docnav|[[FEM_ConstraintPressure|Constraint pressure]]|[[FEM_ConstraintBearing|Constraint bearing]]|[[FEM_Module|FEM_Module]]}}
{{Docnav|[[FEM_ConstraintPressure|Constraint pressure]]|[[FEM_ConstraintBearing|Constraint bearing]]|[[FEM_Module|FEM]]|IconL=FEM_ConstraintPressure.png|IconC=Workbench_FEM.svg|IconR=FEM_ConstraintBearing.png}}

{{FEM Tools navi}}
{{FEM Tools navi}}

{{Userdocnavi}}
{{Userdocnavi}}
{{clear}}
{{clear}}

Revision as of 10:52, 11 February 2019

Other languages:

FEM ConstraintSelfWeight

Системное название
FEM ConstraintSelfWeight
Расположение в меню
FEM → Constraint self weight
Верстаки
FEM
Быстрые клавиши
C,W
Представлено в версии
-
См. также
FEM tutorial

Description

Constraint self weight defines gravity acceleration 9,81 m/s^2 acting on the whole model in the prescribed direction.

How to use

  1. Click on or choose ModelMechanical Constraints Constraint self weight from the top menu or press C then W keys.
  2. You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.

Scripting

  • new object
import ObjectsFem
ObjectsFem.makeConstraintSelfWeight( name )
  • add object to the analysis named Analysis
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [ (object) ]
  • example:
import ObjectsFem
selfweight_obj = ObjectsFem.makeConstraintSelfWeight( 'MySelfWeightObject' )
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [selfweight_obj]

Solver CalculiX

Limitations

  • You need to modify .inp file to edit gravity acceleration.
  • Self weight is applied to the element set Eall means to the whole model.

Editing CalculiX input file

Acceleration constant can be edited by hand modification after generating CalculiX input file.

Example of lines in .inp file:

*DLOAD
Eall,GRAV,9810,0.0,0.0,-1.0

where 9810 is gravity acceleration in [mm/s^2]

Solver Z88

  • not implemented in Z88 solver (March 2017)